%{?nodejs_find_provides_and_requires}

%global packagename joe-reporter-console

Name: nodejs-%{packagename}
Version: 1.2.1
Release: 1%{?dist}.3
Summary: Console Reporter for the Joe Testing Framework
License: MIT
URL: https://github.com/bevry/joe-reporter-console
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(cli-color) >= 0.2.2

%description
Console Reporter for the Joe Testing Framework.


%prep
%setup -q -n package
%nodejs_fixdep cli-color '>=0.2.2'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json out \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'


%files
%doc *.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Sun Sep 25 2016 Oleg Girko <ol@infoserver.lv> - 1.2.1-1
- Initial package.
